### Method

# Clutter Text get_text

#### Declaration [src]

    const gchar*
    clutter_text_get_text (
      ClutterText* self
    )

#### Description [src]

Retrieves a pointer to the current contents of a `ClutterText` actor.

If you need a copy of the contents for manipulating, either use `g_strdup()` on the returned string, or use:

       copy = clutter_text_get_chars (text, 0, -1);

Which will return a newly allocated string.

If the `ClutterText` actor is empty, this function will return an empty string, and not `NULL`.

Gets property | `Clutter.Text:text`

#### Return value

Type: `const gchar*`

The contents of the actor. The returned string is owned by the `ClutterText` actor and should never be modified or freed.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.